Päivitysongelma

Finnish Forum
Post Reply
Volks van galen
Level 1
Level 1
Posts: 6
Joined: Wed Sep 23, 2015 3:28 am

Päivitysongelma

Post by Volks van galen »

Jospa saisin täältä apua. Minun Mintin päivitys herjaa näin:

Tiedoston http://archive.canonical.com/dists/rafa ... 6/Packages nouto ei onnistunut 404 Not Found [IP: 2001:67c:1360:8c01::16 80]
Some index files failed to download. They have been ignored, or old ones used instead.


Olen yrittänyt googlailla ongelmaan ratkaisua, mutta en ole löytänyt. Ongelma on ollut jo pari päivää. Käyttöjärjestelmä on 17.2 Cinnamon 32-bit.

argoth87

Re: Päivitysongelma

Post by argoth87 »

Ilmeisesti palvelimeen ei saada yhteyttä, joten voisit yrittää jotain muuta palvelinta. Päivitysten hallinta -> Muokkaa -> Ohjelmalähteet. Sieltä sitten voit valita Peilipalvelimet kohdasta pääpalvelimen (Mint) ja pohjapalvelimen (Ubuntu). Mikäli se ei auta, niin suosittelisin vilkaisemaan toista viestiketjua, jossa Adminstrollaattori on laittanut ratkaisun dpkg:n korjaamiseen.

Volks van galen
Level 1
Level 1
Posts: 6
Joined: Wed Sep 23, 2015 3:28 am

Re: Päivitysongelma

Post by Volks van galen »

Kiitos vinkeistä. Ei auttanut peilipalvelmien vaihto. Yritin useampaa. Jos tarkoitit tätä ketjua:

http://forums.linuxmint.com/viewtopic.php?f=71&t=203811

Niin laitoin nuo käskyt omaan koneeseen ja eikä sekään auttanut valitettavasti.. :(

argoth87

Re: Päivitysongelma

Post by argoth87 »

Sitä viestiketjua tarkoitin. Tuota noin, pitänee pyytää hieman kertomaan tarkemmin asiasta, eli mitä teit ennen ongelman ilmaantumista (esim. asensitko jonkin tietyn päivityksen), oliko verkko kovan rasituksen alla, oletko muokannut virallisia ohjelmistolähteitä /etc/apt/sources.list tiedostosta tms. tavalla, huomasitko mitään erikoista ennen ongelman alkamista ja niin edelleen? Lisätiedoista voisi olla apua ongelman ratkaisussa.

Volks van galen
Level 1
Level 1
Posts: 6
Joined: Wed Sep 23, 2015 3:28 am

Re: Päivitysongelma

Post by Volks van galen »

Olen ollut sen verran jurpo, että olen aiemmin laittanut koneeseeni 4 ja 5 tason päivityksiä, kun en tiennyt, ettei niitä kannata asentaa. Koneessani on toinenkin ongelma. Kone vetää välillä itsensä ihan jumiin ja siihen ei auta, kuin virtojen katkaisu. Se ongelma on ollut jo pitempään ja enkä tiedä, onko sillä yhteyttä tähän.

Tuosta verkko-ongelmasta tuli mieleen, että en muista oliko se ennen vai jälkeen päivitysongelman tulemisen, mutta jotain samoja aikoija kuitenkin. Niin taloyhtiössä oli joku verkko-ongelma ja soitin DNA:n vikapalveluun. Siellä ne kehotti boottamaan kaapelimodeemin. Se auttoi silloin verkon löytymiseen.

argoth87

Re: Päivitysongelma

Post by argoth87 »

Onpa hieman erikoinen vika tuo, ettei palvelimeen saa yhteyttä, joten yritän luoda vastaavan tilanteen virtuaalikoneella, jos sen ongelman saisi luotua uudelleen ja siten saisi paikallistettua sen ongelman aiheuttajan tarkemmin. Siitä jäätymisestä vielä, että sattuuko sinulla olemaan Nvidia GeForce näytönohjaimena?

argoth87

Re: Päivitysongelma

Post by argoth87 »

http://archive.canonical.com/dists/trus ... nary-i386/ löytyy Canonicalin palvelimilta, muttei hakemaasi pakettivarastoa näkynyt siellä kun kävin tutkailemassa.

Volks van galen
Level 1
Level 1
Posts: 6
Joined: Wed Sep 23, 2015 3:28 am

Re: Päivitysongelma

Post by Volks van galen »

En ole avannut koskaan tätä konetta. Kone on vanha Fujitsu-Siemensin Esprimo Core 2 Duo prossulla. Mintin järjestelämätiedoissa lukee näyttiksestä näin:

Intel Corporation 4 Series Chipset Integrated Graphics Controller


Tarkoittaako, ettei sellaista pakettivarastoa ole enää olemassa? Voiko sen herjaamisen sitten saada jotenkin pois päältä?

argoth87

Re: Päivitysongelma

Post by argoth87 »

Pakettivaraston puuttumistahan se juurikin tarkoittaa. Ongelmaan voisi olla ratkaisuna virheellisen pakettivarastolistan korjaaminen, sillä Canonical ei tarjoa Linux Mint paketteja, vaan ne tulevat Mintin omista pakettivarastoista. Voit toki käyttää Ubuntun Trusty pakettivarastoja, jos haluat niitä käyttää. Tutkin vähän alustavasti asiaa virtuaalikoneella, jossa oli vakio versiot pakettivarastolistoista. Huomasin, ettei Ubuntu Restricted Extras ja Ubuntu Restricted Addons ja/tai niiden osien saamiseksi (Skype, MS core fonts jne.) tarvitse välttämättä asentaa lisäohjelmistolähdettä, kuten Ubuntussa täytyy, Mint 17.2:ssa, koska ne voi asentaa suoraan Synapticissa. Mitä koneeseen ja näytönohjaimeen tulee, niin siinä voisi pelata paremmin MATE, sillä se tarjoaa Cinnamonia paremman laitteistotuen vanhemmille koneille.

Volks van galen
Level 1
Level 1
Posts: 6
Joined: Wed Sep 23, 2015 3:28 am

Re: Päivitysongelma

Post by Volks van galen »

En ole varma, ymmärsinkö oikein. Poistin Synapticin kautta Ubuntu Restricted Extras ja Ubuntu Restricted Addons. Sitten asensin terminaalin kautta käskyllä uudelleen:

sudo apt-get install ubuntu-restricted-extras

Näyttää vieläkin herjaavan. Teinkö oikein vai väärin vai ihan vain turhaa työtä?

argoth87

Re: Päivitysongelma

Post by argoth87 »

Koetin aiemmin selvittää, ettei kyseistä pakettivarastoa ole. Veikkaisin, että koneellesi on asennettu jossain vaiheessa lisäohjelmistolähde ja/tai pakettivarastojen listauksessa on syystä tai toisesta virheellinen merkintä. Tästä seuraa, että virheellinen tiedosto on korjattava poistamalla virheen aiheuttava lisäohjelmistolähde (mikäli sellainen on) täältä: Päivitysten hallinta -> Muokkaa -> Ohjelmalähteet -> Lisäohjelmistolähteet/PPA-ohjelmistolähteet riippuen siitä, että kumpaan ne on lisätty. Muussa tapauksessa vian aiheuttaa virheellinen /etc/apt/sourceslist merkintä. Jos ensimmäisen kautta ei löydy vian aiheuttavia ohjelmistolähteitä, niin yritän laittaa puhtaan Cinnamon 32-BIT /etc/apt/sourceslist listan tänne, niin voidaan vertailla onko niissä eroja ja jatkaa ongelman selvittelyä.

Volks van galen
Level 1
Level 1
Posts: 6
Joined: Wed Sep 23, 2015 3:28 am

Re: Päivitysongelma

Post by Volks van galen »

Aivan. Nyt ymmärsin.. :D Tuolla lisäohjemistolähteissä minulla on

Canonical

deb http://archive.canoncical.com/rafaela partner/etc/apt/sources.list d/additional-repositries.list


Otin nyt täpän siitä pois. Ainakin pikaisesti näyttäis, ettei herjaa enää.

Asensin ja otin sen MATE-työpöydän käyttöön. Tuntuu toimivan ainakin vähäisellä kokemuksella erinomaisesti. Kiitos sen suosittelusta ja tuon päivitysongelman ratkaisusta.

argoth87

Re: Päivitysongelma

Post by argoth87 »

Hyvä, että se ongelmatilanne selvisi ja MATE toimii. Olkaa hyvä vain ja toivotan mukavia hetkiä koneen parissa.

Post Reply

Return to “Suomi (Finnish)”